import { EATS_EVENT, EATS_ROUTE, EATS_API_OPTIONS } from "./structures/API.js";
import { FunctionManager } from "./managers/FunctionManager.js";
import { DatabaseManager } from "./managers/DatabaseManager.js";
import { EATS_Error } from "./structures/Error.js";
import { Data } from "./structures/Data.js";
import { API } from "./structures/API.js";
export interface EATS_FUNCTION {
    aliases?: string[];
    description?: string;
    usage?: string;
    returns?: string;
    parse?: boolean[];
    run: (d: Data, ...args: any[]) => Promise<string | void>;
}
/**
 * Escapes easy-api.ts code
 * @param {string} str The code to escapw.
 */
declare function Escape(str: string): string;
/**
 * Unescapes easy-api.ts code
 * @param {string} str The code to unescapw.
 */
declare function Unescape(str: string): string;
export { API, Data, FunctionManager, DatabaseManager, EATS_API_OPTIONS, EATS_EVENT, EATS_Error, EATS_ROUTE, Escape, Unescape };
