/// <reference types="node" />
import { FunctionManager } from "../managers/FunctionManager.js";
import { FastifyReply, FastifyRequest } from "fastify";
import { Interpreter } from "../classes/Interpreter.js";
import { Util } from "../classes/Util.js";
import { API } from "../main.js";
import { ReadStream } from "fs";
export interface DataOptions {
    app: API;
    break?: boolean;
    comments?: boolean;
    code?: string;
    dots?: boolean;
    functions?: FunctionManager;
    function?: {
        name: string;
        fields: string[];
        inside: string;
    };
    interpreter?: Interpreter;
    req?: FastifyRequest;
    res?: FastifyReply;
    reverse?: boolean;
    start?: number;
    stream?: ReadStream;
    _: Record<any, any>;
}
export declare class Data {
    app?: API;
    break?: boolean;
    code?: string;
    comments?: boolean;
    dots?: boolean;
    functions?: FunctionManager;
    function?: {
        name: string;
        fields: string[];
        inside: string;
    };
    interpreter?: Interpreter;
    req?: FastifyRequest;
    res?: FastifyReply;
    reverse?: boolean;
    start?: number;
    stream?: ReadStream;
    util?: typeof Util;
    _: Record<any, any>;
    constructor(options: DataOptions);
    /**
     * Returns a child data.
     * @param options The data options to fill.
     * @returns {Data}
     */
    extend(options?: DataOptions): Data;
}
